(******************************************************************************)
(*   __               ___     CAVE: Concurrent Algorithm VErifier             *)
(*  /     /\  \    / |        Copyright (c) Viktor Vafeiadis                  *)
(* |     /--\  \  /  |---                                                     *)
(*  \__ /    \  \/   |___     See LICENSE.txt for license.                    *)
(*                                                                            *)
(******************************************************************************)
(** Must-subtraction implementation *)
open Exp
open Assertions

(** This module implements the Must-subtraction algorithm, also known as
    frame inference, which is a generalization of entailment checking.

    For efficiency purposes, the implementation differs substantially from
    (Berdine, Calcagno, O'Hearn, 2005). 
*)

val default_prover : prover

val verbose : int ref
val args : (Arg.key * Arg.spec * Arg.doc) list
